import { Component, inject } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

import SharedModule from 'app/shared/shared.module';
import { ITEM_DELETED_EVENT } from 'app/config/navigation.constants';
import { IEmissionFactor } from '../emission-factor.model';
import { EmissionFactorService } from '../service/emission-factor.service';

@Component({
  standalone: true,
  templateUrl: './emission-factor-delete-dialog.component.html',
  imports: [SharedModule, FormsModule],
})
export class EmissionFactorDeleteDialogComponent {
  emissionFactor?: IEmissionFactor;

  protected emissionFactorService = inject(EmissionFactorService);
  protected activeModal = inject(NgbActiveModal);

  cancel(): void {
    this.activeModal.dismiss();
  }

  confirmDelete(id: number): void {
    this.emissionFactorService.delete(id).subscribe(() => {
      this.activeModal.close(ITEM_DELETED_EVENT);
    });
  }
}
